# ARBTextureCubeMap (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBTextureCubeMap

    java.lang.Object
      org.lwjgl.opengl.ARBTextureCubeMap

    public final class ARBTextureCubeMap

extends java.lang.Object

Field Summary
`static int` `GL_MAX_CUBE_MAP_TEXTURE_SIZE_ARB`
`static int` `GL_NORMAL_MAP_ARB`
`static int` `GL_PROXY_TEXTURE_CUBE_MAP_ARB`
`static int` `GL_REFLECTION_MAP_ARB`
`static int` `GL_TEXTURE_BINDING_CUBE_MAP_ARB`
`static int` `GL_TEXTURE_CUBE_MAP_ARB`
`static int` `GL_TEXTURE_CUBE_MAP_NEGATIVE_X_ARB`
`static int` `GL_TEXTURE_CUBE_MAP_NEGATIVE_Y_ARB`
`static int` `GL_TEXTURE_CUBE_MAP_NEGATIVE_Z_ARB`
`static int` `GL_TEXTURE_CUBE_MAP_POSITIVE_X_ARB`
`static int` `GL_TEXTURE_CUBE_MAP_POSITIVE_Y_ARB`
`static int` `GL_TEXTURE_CUBE_MAP_POSITIVE_Z_ARB`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_NORMAL_MAP_ARB

    public static final int GL_NORMAL_MAP_ARB

See Also:
  Constant Field Values

### GL_REFLECTION_MAP_ARB

    public static final int GL_REFLECTION_MAP_ARB

See Also:
  Constant Field Values

### GL_TEXTURE_CUBE_MAP_ARB

    public static final int GL_TEXTURE_CUBE_MAP_ARB

See Also:
  Constant Field Values

### GL_TEXTURE_BINDING_CUBE_MAP_ARB

    public static final int GL_TEXTURE_BINDING_CUBE_MAP_ARB

See Also:
  Constant Field Values

### GL_TEXTURE_CUBE_MAP_POSITIVE_X_ARB

    public static final int GL_TEXTURE_CUBE_MAP_POSITIVE_X_ARB

See Also:
  Constant Field Values

### GL_TEXTURE_CUBE_MAP_NEGATIVE_X_ARB

    public static final int GL_TEXTURE_CUBE_MAP_NEGATIVE_X_ARB

See Also:
  Constant Field Values

### GL_TEXTURE_CUBE_MAP_POSITIVE_Y_ARB

    public static final int GL_TEXTURE_CUBE_MAP_POSITIVE_Y_ARB

See Also:
  Constant Field Values

### GL_TEXTURE_CUBE_MAP_NEGATIVE_Y_ARB

    public static final int GL_TEXTURE_CUBE_MAP_NEGATIVE_Y_ARB

See Also:
  Constant Field Values

### GL_TEXTURE_CUBE_MAP_POSITIVE_Z_ARB

    public static final int GL_TEXTURE_CUBE_MAP_POSITIVE_Z_ARB

See Also:
  Constant Field Values

### GL_TEXTURE_CUBE_MAP_NEGATIVE_Z_ARB

    public static final int GL_TEXTURE_CUBE_MAP_NEGATIVE_Z_ARB

See Also:
  Constant Field Values

### GL_PROXY_TEXTURE_CUBE_MAP_ARB

    public static final int GL_PROXY_TEXTURE_CUBE_MAP_ARB

See Also:
  Constant Field Values

### GL_MAX_CUBE_MAP_TEXTURE_SIZE_ARB

    public static final int GL_MAX_CUBE_MAP_TEXTURE_SIZE_ARB

See Also:
  Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.